Create Shareable Chat
curl --request POST \
--url https://api.ontora.com/v1/shareable-chats \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"campaign_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"recipients": [
{
"email": "<string>",
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"description": "<string>",
"enabled": true,
"mcp_enabled": false,
"delivery_channel": "email"
}
'import requests
url = "https://api.ontora.com/v1/shareable-chats"
payload = {
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"campaign_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"recipients": [
{
"email": "<string>",
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"description": "<string>",
"enabled": True,
"mcp_enabled": False,
"delivery_channel": "email"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
campaign_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
recipients: [{email: '<string>', person_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}],
description: '<string>',
enabled: true,
mcp_enabled: false,
delivery_channel: 'email'
})
};
fetch('https://api.ontora.com/v1/shareable-chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "active",
"enabled": true,
"campaign_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"campaigns": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>"
}
],
"mcp_enabled": true,
"delivery_channel": "email",
"recipients": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"status": "invited",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_count": 123,
"invited_at": "2023-11-07T05:31:56Z",
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"person_name": "<string>",
"invitation_sent_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"invite_url": "<string>"
}
],
"usage_summary": {
"session_count": 0,
"message_count": 0,
"unique_user_count": 0,
"last_used_at": "2023-11-07T05:31:56Z",
"last_used_by": {
"email": "<string>",
"name": "<string>"
}
},
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"revoked_at": "2023-11-07T05:31:56Z",
"delivery_summary": {
"attempted": 0,
"sent": 0,
"failed": [
{
"recipient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"error": "<string>"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}shareable-chats
Create Shareable Chat
POST
/
v1
/
shareable-chats
Create Shareable Chat
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 255Required array length:
1 - 100 elementsRequired array length:
1 - 100 elementsShow child attributes
Show child attributes
Maximum string length:
2000Available options:
email, slack, teams Response
Successful Response
Available options:
active, revoked Show child attributes
Show child attributes
Available options:
email, slack, teams Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?